# StatelessMediaSharingData class

Implemented types
  - StanzaHandlerExtension

## Constructors

StatelessMediaSharingData ({required String mediaType, required int size, required String description, required Map <String, String> hashes, required String url, required List <JingleContentThumbnail> thumbnails})
  const

## Properties

description → String
  final
hashCode → int
  The hash code for this object.
  no setterinherited
hashes → Map <String, String>
  final
mediaType → String
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
size → int
  final
thumbnails → List <JingleContentThumbnail>
  final
url → String
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited